export type IPromocodeFilterValue = string | string[] | Date | null;

export type IPromocodeFilter = {
   
    typecode: string[];
    Category: string[];
    startDate: Date | null;
    endDate: Date | null;

};

export type Promocode = {
    
    id: string;
    code: string;
    typecode: PromocodeType ;
    valuecode: string;
    Description: string;
    IDproduct: string;
    Usage: number;
    Limit: number;
    startDate: Date;
    expirationDate: Date;
    Category: Category;
    minAmount: string;
    IDproductexcluded: string;
    categoryexcluded: Category;
};

export enum PromocodeType {
    Remisepanier = ' remise sur panier fixe',
    RemiseProduit = 'remise sur produit fixe',
    RemisePourcentage = 'remise en pourcentage',
};

export enum Category {
    tous = 'tous',
    vetements = 'vetements',
    chaussures = 'chaussures',
    accessoires = 'accessoires',
    bijoux = 'bijoux',
};

