import { useRef, useEffect, useCallback } from 'react';



export default function useScroll<T>( items : T[]) {
  const endRef = useRef<HTMLDivElement>(null);

  const scrollToBottom = useCallback(() => {
    if (!items) {
      return;
    }

    if (! endRef.current) {
      return;
    }

    if ( endRef.current) {
       endRef.current.scrollTop =  endRef.current.scrollHeight;
    }
  }, [ ]);

  useEffect(
    () => {
      scrollToBottom();
    },
    [ ]
  );

  return {
     endRef,
  };
}
