const ROOTS = {
  AUTH: "/auth",
  DASHBOARD: "/dashboard",
};

export const paths = {
  minimalUI: "https://mui.com/store/items/minimal-dashboard/",
  // AUTH
  auth: {
    jwt: {
      login: `${ROOTS.AUTH}/jwt/login`,
      register: `${ROOTS.AUTH}/jwt/register`,
    },
  },
  // DASHBOARD
  dashboard: {
    root: ROOTS.DASHBOARD,
    product: {
      root: `${ROOTS.DASHBOARD}/product`,
      new: `${ROOTS.DASHBOARD}/product/new`,
      edit: (id: string) => `${ROOTS.DASHBOARD}/product/${id}/edit`,
      details: (id: string) => `${ROOTS.DASHBOARD}/product/${id}`,
      category: `${ROOTS.DASHBOARD}/product/category`,
      editCategory: (id: string) =>
        `${ROOTS.DASHBOARD}/product/category/${id}/edit`,
      tags: `${ROOTS.DASHBOARD}/product/tags`,
      editTag: (id: string) => `${ROOTS.DASHBOARD}/product/tags/${id}/edit`,
      attribut: `${ROOTS.DASHBOARD}/product/attribut`,
      termeChoix: `${ROOTS.DASHBOARD}/product/attribut/termeChoix`,
      termeImage: `${ROOTS.DASHBOARD}/product/attribut/termeImage`,
      termeLabel: `${ROOTS.DASHBOARD}/product/attribut/termeLabel`,
      termeColor: `${ROOTS.DASHBOARD}/product/attribut/termeColor`,
    },
    live: {
      root: `${ROOTS.DASHBOARD}/lives`,
      new: `${ROOTS.DASHBOARD}/lives/new`,
      all_lives: `${ROOTS.DASHBOARD}/lives`,
      statistics: {
        single: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}/statistics`,
        all: `${ROOTS.DASHBOARD}/lives/statistics`
      },
      details: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}`,
      edit: (id: string) => `${ROOTS.DASHBOARD}/lives/${id}/edit`,
      saleSession: `${ROOTS.DASHBOARD}/lives/saleSession`,
    },
    order: {
      root: `${ROOTS.DASHBOARD}/project_management/tasks`,
      create: `${ROOTS.DASHBOARD}/order/create`,
      all_orders: `${ROOTS.DASHBOARD}/order`,
      details: (id: string) => `${ROOTS.DASHBOARD}/order/${id}`,
      edit: (id: string) => `${ROOTS.DASHBOARD}/order/${id}/edit`,
      trash: `${ROOTS.DASHBOARD}/order/trash`,
      statistics: `${ROOTS.DASHBOARD}/order/statistics`,
    },
  
    review: {
      root: `${ROOTS.DASHBOARD}/project_management/tasks`,
      all_reviews: `${ROOTS.DASHBOARD}/review`,
      config: `${ROOTS.DASHBOARD}/review/config`,
     
    },

    user: {
      root: `${ROOTS.DASHBOARD}/project_management/tasks`,
      all_users: `${ROOTS.DASHBOARD}/user`,
      new: `${ROOTS.DASHBOARD}/user/new`,
      details: (id: string) => `${ROOTS.DASHBOARD}/user/${id}`,
      edit: (id: string) => `${ROOTS.DASHBOARD}/user/${id}/edit`,
      account: `${ROOTS.DASHBOARD}/user/account`,
      role: `${ROOTS.DASHBOARD}/user/role`,
    },
    shipping: {
      general: {
        tab: (value: string) => `${ROOTS.DASHBOARD}/shipping/general/${value}`,
        root: `${ROOTS.DASHBOARD}/shipping/general`,
        shippingArea: {
          shippingAreaList: `${ROOTS.DASHBOARD}/shipping/general/shippingArea`,
        },
        shippingMethod: {
          shippingMethodList: `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/list`,
          createShippingMethod: `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/create`,
          details: (id: string) =>
            `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}`,
          edit: (id: string) =>
            `${ROOTS.DASHBOARD}/shipping/general/shippingMethod/${id}/edit`,
        },
        deliveryRules: `${ROOTS.DASHBOARD}/shipping/general/deliveryRules`,
        shippingClass: {
          shippingClassList: `${ROOTS.DASHBOARD}/shipping/general/shippingClass`,
        },
      },
      colissimo: `${ROOTS.DASHBOARD}/shipping/colissimo`,
      mondialRelayInPost: {
        root: `${ROOTS.DASHBOARD}/shipping/mondialRelay-InPost`,
      },
    },
    payment: {
      root: `${ROOTS.DASHBOARD}/payment`,
      method: (name: string) => `${ROOTS.DASHBOARD}/payment/${name}`,
    },
    supplier: {
      root: `${ROOTS.DASHBOARD}/supplier`,
      new: `${ROOTS.DASHBOARD}/supplier/new`,
      list: `${ROOTS.DASHBOARD}/supplier/list`,
      edit: (id: string) => `${ROOTS.DASHBOARD}/supplier/${id}/edit`,
      SupplierOrder: {
        root: `${ROOTS.DASHBOARD}/supplier/SupplierOrder`,
        new: `${ROOTS.DASHBOARD}/supplier/SupplierOrder/new`,
        list: `${ROOTS.DASHBOARD}/supplier/SupplierOrder/new`,
        edit: (id: string) => `${ROOTS.DASHBOARD}/SupplierOrder/${id}/edit`,
        deviation: `${ROOTS.DASHBOARD}/supplier/SupplierOrder/deviation`,
      },
    },
    media: {
      root: `${ROOTS.DASHBOARD}/media`,
      edit: (id: string) => `${ROOTS.DASHBOARD}/media/${id}/edit`,
    },
    chat: `${ROOTS.DASHBOARD}/chat`,
    cart: {
      root: `${ROOTS.DASHBOARD}/cart`,
      UserCart: `${ROOTS.DASHBOARD}/cart/UserCart`,
      statistics: `${ROOTS.DASHBOARD}/cart/statistics`,
    },
  },
  promo: {
    root: `${ROOTS.DASHBOARD}/promo`,
    new: `${ROOTS.DASHBOARD}/promo/new`,
    Duplicate: `${ROOTS.DASHBOARD}/promo/duplicate`,
    all_promo: `${ROOTS.DASHBOARD}/promo`,
    details: (id: string) => `${ROOTS.DASHBOARD}/promo/${id}`,
    edit: (id: string) => `${ROOTS.DASHBOARD}/promo/${id}/edit`,
    Duplicatepromo: (id: string) => `${ROOTS.DASHBOARD}/promo/duplicate/${id}`,
  },

  giftcard: {
    root: `${ROOTS.DASHBOARD}/giftcard`,
    all_giftcard: `${ROOTS.DASHBOARD}/giftcard`,
    giftcardActivity: (id: string) =>
      `${ROOTS.DASHBOARD}/giftcard/giftcardactivity/${id}`,
    GiftcardMessage: `${ROOTS.DASHBOARD}/giftcard/giftcardmessage`,

    giftcardMail: `${ROOTS.DASHBOARD}/giftcard/giftcardmail`,
    details: (id: string) => `${ROOTS.DASHBOARD}/giftcard/${id}`,
    edit: (id: string) => `${ROOTS.DASHBOARD}/giftcard/${id}/edit`,
    editGiftcardActivity: (id: string) =>
      `${ROOTS.DASHBOARD}/giftcard/giftcardactivity/${id}/edit`,
  }
,
  purchase: {
    root: `${ROOTS.DASHBOARD}/purchase`,
    new: `${ROOTS.DASHBOARD}/purchase/new`,
  },

  Referral: {
    root: `${ROOTS.DASHBOARD}/referral`,
  },
};
