import { Giftcard, activite, action } from "@/contexts/types/giftcard";

 // Assurez-vous que les imports sont corrects
 const fakeEmails = [
  "user1@example.com",
  "user2@example.com",
  "user3@example.com",
  "user4@example.com",
  "user5@example.com",
];

const generateMockActivite = (id: string): activite[] => {
  const mockActivite: activite[] = [];
  
  let isFirstAction = true; 

  for (let i = 1; i <= 5; i++) {
  
    const actionType = isFirstAction ? action.creation : action.transaction;

    mockActivite.push({
      id: `${id}-${i}`,
      datecreation: new Date(),
      action: actionType,
      Emaildestinataire: fakeEmails[i - 1],
      Remarque: `Remarque gifted card  ${i}`,
      Montant: i * 50,
      solde: i * 100,
      nomdestinataire: ` Destinataire ${id}`,
   
    });

   
    isFirstAction = false;
  }
  
  return mockActivite;
};
const getRandomEmail = () => {
  const randomIndex = Math.floor(Math.random() * fakeEmails.length);
  return fakeEmails[randomIndex];
};


const generateMockGiftcard = (id: string): Giftcard => {
  return {
    id: id,
    Numecarte: `GC-${id}`,
    solde: 500,
    dateexpiration: new Date(), 
    Emaildestinataire: getRandomEmail(),
    activite: generateMockActivite(id),
    Emailbeneficiaire: getRandomEmail(),
    message: `Message ${id}`,
    
  };
};

// Fonction pour générer un ensemble de mocks de cartes-cadeaux
const generateMockGiftcards = (): Giftcard[] => {
  const mockGiftcards: Giftcard[] = [];
  for (let i = 1; i <= 10; i++) {
    mockGiftcards.push(generateMockGiftcard(`${i}`));
  }
  return mockGiftcards;
};

const mockGiftcards: Giftcard[] = generateMockGiftcards();

export default mockGiftcards;
