import { _mock } from './_mock';
import { _tags } from './assets';

// ----------------------------------------------------------------------

const GB = 1000000000 * 24;

const MEDIAS = [
  'cover-1.jpg',
  'cover-2.jpg',
  'cover-3.png',
  'cover-4.png',
  'cover-5.jpeg',
  'cover-6.jpeg',
  'cover-7.png',
  'cover-8.png',
  'cover-9.jpg',
  'cover-10.jpg',
  'cover-11.jpg',
  'cover-12.jpeg',
  'cover-13.jpeg',
  'cover-14.jpeg',
  'cover-15.jpeg',
  'cover-16.png',
  'cover-17.png',
  'cover-18.png',
  'cover-19.jpg',
  'cover-20.jpg',
  'cover-21.jpg',
];

const MEDIAS_URLS = [
  _mock.image.cover(1),
  _mock.image.cover(2),
  _mock.image.cover(3),
  _mock.image.cover(4),
  _mock.image.cover(5),
  _mock.image.cover(6),
  _mock.image.cover(7),
  _mock.image.cover(8),
  _mock.image.cover(9),
  _mock.image.cover(10),
  _mock.image.cover(11),
  _mock.image.cover(12),
  _mock.image.cover(13),
  _mock.image.cover(14),
  _mock.image.cover(15),
  _mock.image.cover(16),
  _mock.image.cover(17),
  _mock.image.cover(18),
  _mock.image.cover(19),
  _mock.image.cover(20),
  _mock.image.cover(21),
];

export const MEDIA_TYPE_OPTIONS = [
  'image',
  'vidéo',
];

// ----------------------------------------------------------------------

const authorNames = ["John Doe", "Jane Smith", "Alice Johnson", "Bob Brown", "Emily Wilson"];
const imageTitles = [
  "Landscape View","Sunset Beauty","City Lights","Mountain Peak","Ocean Waves","Forest Serenity","Urban Exploration","Nature's Harmony",
  "Country Road","Rural Bliss","Skyline Majesty","River Reflections","Cloudy Horizon","Spring Blossoms","Autumn Colors","Winter Wonderland",
  "Sunny Day","Moonlit Night","Starlit Sky","Golden Hour","Twilight Magic"
];


export const _medias = MEDIAS.map((name, index) => ({
  id: `${_mock.id(index)}_file`,
  name,
  title: imageTitles[Math.floor(Math.random() * imageTitles.length)],
  description: _mock.description(index),
  createdAt: _mock.time(index),
  modifiedAt: _mock.time(index),
  author: authorNames[Math.floor(Math.random() * authorNames.length)],
  url: MEDIAS_URLS[index],
  size: GB / ((index + 1) * 500),
  type: `${name.split('.').pop()}`,
}));

export const _allMedias = [ ..._medias];
