import { IReviewStatistic, IReviewStatus } from "../types/review";
import { _mock } from "./_mock";
import {} from "date-fns";
import { addDays, formatISO, sub } from "date-fns";

// ----------------------------------------------------------------------
export const ReviewStatus = [

  IReviewStatus. Ongoing ,
  IReviewStatus.Cancelled,
  IReviewStatus.Deleted,
  IReviewStatus.Pending,

];

export const REVIEW_STATUS_OPTIONS = [
  { value: IReviewStatus.Pending, label: "En attente" },
  { value: IReviewStatus.Cancelled, label: "Désapprouver" },
  { value: IReviewStatus. Ongoing , label: "Approuvé" },
  { value: IReviewStatus.Deleted, label: "Mis à la corbeille" },
];



const ITEMS = [...Array(3)].map((_, index) => ({
  id: _mock.id(index),
  sku: `16H9UR${index}`,
  quantity: index + 1,
  name: _mock.productName(index),
  coverUrl: _mock.image.product(index),
  price: _mock.number.price(index),
  origine: _mock.origine(index),
}));
export const ETAT_REVIEW = [
  {
    group: "État",
    classify: [
      "En attente",
      "Approuvé",
      "Désapprouver",
      "Mis à la corbeille",
    ],
  },
];

export const _reviews = [...Array(20)].map((_, index) => {
  
  const commentaire = _mock.commentaire(index);

  const items = { 
    id: _mock.id(index),
    name: _mock.productName(index),
  };
  const customer = {
    id: _mock.id(index),
    name: _mock.fullName(index),
    email: _mock.email(index),
    avatarUrl: _mock.image.avatar(index),
    numberphone: _mock.phoneNumber(index),
  };

 
  return {
    id: _mock.id(index),
    orderNumber: `#601${index}`,
    createdAt: _mock.time(index),
    
    commentaire,
    items,
   
    customer,
    
    status: ReviewStatus[index % ReviewStatus.length],
  };
});