import useSWR from 'swr';
import { useMemo } from 'react';

import { fetcher, endpoints } from '@/utils/axios';

import { IProductItem } from '@/shared/types/product';

export function useGetGiftCards() {
  const URL = endpoints.giftcard.list;

  const { data, isLoading, error, isValidating } = useSWR(URL, fetcher);

  const memoizedValue = useMemo(
    () => ({
      giftcards: (data?.giftcards as IProductItem[]) || [],
      giftcardsLoading: isLoading,
      giftcardsError: error,
      giftcardsvalidating: isValidating,
      giftcardsEmpty: !isLoading && !data?.giftcards.length,
    }),
    [data?.giftcards, error, isLoading, isValidating]
  );

  return memoizedValue;
}
