import { useMemo } from "react";
import { _paymentMethods ,mockBankAccounts} from "../_mock/_payment";
import { ICreditCardConfig } from "../types/payment";
import { IBankTransferConf } from "../types/payment";


export function useGetPaymentMethods(params: any[] = []) {
    const memoizedValue = useMemo(
        () => ({
            paymentMethodsLoading: false,
            paymentMethodsError: false,
            paymentMethodsValidating: false,
            paymentMethodsData: _paymentMethods,
        }),
        [...params]
    );

    return memoizedValue;
}

export function useGetCreditCardConfig(params: any[] = []) {

    const memoizedValue = useMemo(
        () => ({
            configLoading: false,
            configError: false,
            configValidating: false,
            config: {
                enabled: true,
                title: '',
                logos: [],
                disabledCreditCards: [],
                vaulting: true,
                contingencyFor3DSecure: 'required'
            },
        }),
        [...params]
    );

    return memoizedValue;
}

export async function updateCreditCardConfig(config: ICreditCardConfig) {
    return new Promise((resolve, reject) => { setTimeout(() => { resolve(config) }, 2000) })
    
}




export type PaymentMethodConf<T> = {
    paymentMethodConfLoading: boolean;
    paymentMethodConfError: boolean;
    paymentMethodConfValidating: boolean;
    paymentMethodConfData: T;
};


export function useGetPaymentMethodConf<T>(id: string, params: any[] = []) {
    const memoizedValue = useMemo<PaymentMethodConf<IBankTransferConf>>(
        () => ({
            paymentMethodConfLoading: false,
            paymentMethodConfError: false,
            paymentMethodConfValidating: false,
            paymentMethodConfData: {
                enabled: true,
                title: 'Paiement Direct Bancaire',
                description: 'Paiement direct par virement bancaire',
                instructions: 'Veuillez effectuer le virement sur le compte suivant: 1234567890',
                bankAccounts: mockBankAccounts,   
            },
        }),
        [id, ...params]
    );

    return memoizedValue;
}

export async function updatePaymentMethodConf<T>(id: string, data: T) {
    console.log('editPaymentMethodConf', id, data);
}