
import MenuItem from "@mui/material/MenuItem";
import Iconify from "@/shared/components/iconify";
import CustomPopover, { usePopover } from "@/shared/components/custom-popover";
import { IGiftCardvalue, IGiftcardFilter } from "@/contexts/types/giftcard";
import { useCallback } from "react";
import Box from "@mui/material/Box";


// ----------------------------------------------------------------------

type Props = {
  filters: IGiftcardFilter;
  onFilters: (name: string, value: IGiftCardvalue) => void;
  dateError: boolean;
  //

};
export default function GiftcardTableToolbar({
  filters,
  onFilters,
  //



  dateError }: Props) {
  const popover = usePopover();

  const handleFilterdateexpiration = useCallback(
    (event: Date | null) => {
      onFilters('dateexpiration', event);
    }
    , [onFilters]
  );


  return (
    <>
      <Box>

      </Box>

      <CustomPopover
        open={popover.open}
        onClose={popover.onClose}
        arrow="right-top"
        sx={{ width: 140 }}
      >
        <MenuItem
          onClick={() => {
            popover.onClose();
          }}
        >
          <Iconify icon="solar:printer-minimalistic-bold" />
          Imprimer
        </MenuItem>

        <MenuItem
          onClick={() => {
            popover.onClose();
          }}
        >
          <Iconify icon="solar:import-bold" />
          Importer
        </MenuItem>

        <MenuItem
          onClick={() => {
            popover.onClose();
          }}
        >
          <Iconify icon="solar:export-bold" />
          Exporter
        </MenuItem>
      </CustomPopover>
    </>
  );
}
