import Box from "@mui/material/Box";
import Link from "@mui/material/Link";
import Stack from "@mui/material/Stack";

import { GridCellParams } from "@mui/x-data-grid";
import ListItemText from "@mui/material/ListItemText";
import LinearProgress from "@mui/material/LinearProgress";

import { fCurrency } from "@/utils/format-number";
import { fTime, fDate } from "@/utils/format-time";

import Label from "@/shared/components/label";
import { Button, ListItem } from "@mui/material";
import IconButton from "@mui/material/IconButton";

import { Giftcard, action } from "@/contexts/types/giftcard";
import { Dialog, DialogTitle, DialogContent } from "@mui/material";
import React from 'react';
import DialogActions from '@mui/material/DialogActions';
import TextField from '@mui/material/TextField';
import DialogContentText from '@mui/material/DialogContentText';
import { useState } from 'react';





// ----------------------------------------------------------------------

type ParamsProps = {
  params: GridCellParams;
};

export function RenderCellDatecreation({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={fDate(params.row.datecreation)}
      secondary={fTime(params.row.datecreation)}
    />
  );
}

export function RenderCellAction({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={params.row.action === action.creation ? 'Creation' : 'Transaction'}
    />
  );
}

export function RenderCelldestinataire({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={params.row.destinataire}
    />
  );
}

export function RenderCellMontant({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={params.row.Montant + " €"}
    />
  );
}
export function RenderCellEmaildestinataire({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={params.row.Emaildestinataire}

    />
  );
}


// Fonction pour fermer la boîte de dialogue


export function RenderCellRemarque({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={params.row.Remarque}
    />
  );
}

export function RenderCellSolde({ params }: ParamsProps) {
  return (
    <ListItemText
      primary={params.row.Montant + params.row.solde + " €"}
    />
  );
}
export function RenderCellajusterMontant({ params }: ParamsProps) {
  const [openAmount, setOpenAmount] = useState(false);
  const [amountToAdd, setAmountToAdd] = useState('');

  const handleClickOpenAmount = () => {
    setOpenAmount(true);
  };

  const handleCloseAmount = () => {
    setOpenAmount(false);
  };

  return (
    <>
      <Button variant="outlined" color="primary" onClick={handleClickOpenAmount}>
        Ajuster le montant
      </Button>
      <Dialog open={openAmount} onClose={handleCloseAmount} aria-labelledby="form-dialog-title">
        <DialogTitle id="form-dialog-title">Ajuster le montant</DialogTitle>
        <DialogContent>
          <DialogContentText>
            Saisir le montant à ajouter
          </DialogContentText>
          <TextField
            autoFocus
            margin="dense"
            id="name"
            label="Montant"
            type="number"
            fullWidth
            value={amountToAdd}
            onChange={(e) => setAmountToAdd(e.target.value)}
          />
        </DialogContent>
        <DialogActions>
          <Button onClick={handleCloseAmount} color="primary">
            Annuler
          </Button>
          <Button onClick={handleCloseAmount} color="primary">
            Valider
          </Button>
        </DialogActions>
      </Dialog>
    </>
  );
}

export function RenderCellnomdestinataire({ params }: ParamsProps) {
  return <>{params.row.nomdestinataire}</>;
}