'use client';
import React, { useState } from 'react';
import Typography from '@mui/material/Typography';
import Button from '@mui/material/Button';
import FormControl from '@mui/material/FormControl';
import TextField from '@mui/material/TextField';
import Label from '@/shared/components/label';
import { MenuItem } from '@mui/material';
import AddMediaButton from '../../media/view/Add-media-button';



const GiftCardForm: React.FC = () => {

  const [cardColor, setCardColor] = useState('#CD5C5C'); // Couleur par défaut

  const [image, setImage] = useState<File | null>(null);
  const [titleColor, setTitleColor] = useState('#000000');
  const [title, setTitle] = useState('Carte Cadeau');

  const handleColorChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    setCardColor(event.target.value);
  };
  const handleTitleColorChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    setTitleColor(event.target.value);
  };

  const [message, setMessage] = useState("joyeux anniversaire");

  const handleMessageChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    setMessage(event.target.value);
  };
  const handleTitleChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    setTitle(event.target.value);
  };

  const handleImageChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    const files = event.target.files;
    if (files && files.length > 0) {
      const selectedImage = files[0];
      setImage(selectedImage);
    }
  };
  const giftcardconception = [
    {
      label: 'joyeux anniversaire',
    },
    {
      label: 'nouvel an',
    },
    {
      label: 'Noël',
    },
  ];

  const handlePrint = () => {
    const printWindow = window.open('', '_blank');
    if (printWindow) {
      const printContent = `
        <html>
          <head>
            <title>Carte Cadeau</title>
            <style>
              @media print {
                body * {
                  visibility: hidden;
                }
                .print-content, .print-content * {
                  visibility: visible;
                }
                .print-content {
                  position: absolute;
                  left: 0;
                  top: 0;
                }
              }
              .card-container {
                width: 45%;
                padding: 20px;
                border: 1px solid #ccc;
                border-radius: 8px;
                background-color: #f9f9f9;
                margin: 0 auto;
              }
              .card-container p {
                margin: 0;
                margin-bottom: 20px;
              }
              .card-content {
                background-color: ${cardColor}; /* Utilisation de la couleur sélectionnée */
                color: white;
                padding: 10px;
                border-radius: 4px;
                margin-bottom: 20px;
}
             .titre {
              color: ${titleColor}; /* Utilisation de la couleur sélectionnée */
              }
            </style>
          </head>
          <body>
            <div class="print-content">
              <div class="card-container">
                <h2  class="titre" ; style="margin-top: 0; text-align: center;">${title}</h2>
                <Typography variant="subtitle2" gutterBottom>
                ${image ? `<img src="${URL.createObjectURL(image)}" alt="Image" style="max-width: 100%; margin-bottom: 20px;" />` : ''}
                  <p>Destinataire:Nom du destinataire</p>
                  <p>de :  Message</p>
                  <p>Montant: $50</p>
                 
                  <p>${message} </p>
                </Typography>
  
                <div class="card-content">
                  <Typography variant="body2" gutterBottom>
                    Vous venez de recevoir une carte cadeau Mydress-In 🥰
                  </Typography>
                  <Typography variant="body2" gutterBottom>
                    Pour utiliser votre carte, venez nous retrouver en live sur notre page Facebook pour vivre une expérience shopping innovante et fun, ou consultez notre site web www.mydressin.fr
                  </Typography>
                  <Typography variant="body2" gutterBottom>
                    Nous sommes en live :
                    Les vendredis de 18h à 22h
                    Les samedis de 12h à 22h
                    Les mardis et mercredis de 18h à 22h
                  </Typography>
                  <Typography variant="body2" gutterBottom>
                    Vous n'êtes pas encore cliente Mydress-In ? Afin de pouvoir commander, n'hésitez pas à créer votre compte client ici : <a href= https://mydress-in.shop/connexion/ > https://mydress-in.shop/connexion/</a>
                  </Typography>
                  <Typography variant="body2" gutterBottom>
                    Une fois votre compte créé nous pourrons mettre vos articles commandés en live dans vos paniers !
                    A très vite sur nos live ! Et bon shopping !!
                    L'équipe Mydress-In
                  </Typography>
                </div>
  
                <Typography variant="subtitle2" gutterBottom>
                  <p style="margin-top: 20px;">Valide jusqu'au 31 décembre 2024</p>
                </Typography>
              </div>
            </div>
          </body>
        </html>
      `;

      printWindow.document.write(printContent);
      printWindow.document.close();
    }
  };

  return (
    <>
      <Typography variant="h6" gutterBottom style={{ marginBottom: '60px' }}>
        Gestion des messages : personnalisez les cartes cadeaux
      </Typography>

      <div style={{ display: 'flex', justifyContent: 'space-between', marginBottom: '40px' }}>
        <div style={{ display: 'flex', marginTop: '20px', marginBottom: '40px' }}>
          <div style={{ display: 'flex' }}>
            <TextField
              id="outlined-type-code"
              select
              label="selectionner la carte cadeau"
              defaultValue="remise avec panier fixe"
              variant="outlined"
              style={{ marginRight: '20px' }}
            >
              {giftcardconception.map((option) => (
                <MenuItem key={option.label} value={option.label}>
                  {option.label}
                </MenuItem>
              ))}
            </TextField>
            <Button color="primary">Générer un nouveau modèle</Button>
          </div>
        </div>
      </div>

      <div style={{ display: 'flex', justifyContent: 'space-between', marginBottom: '40px' }}>

        <div style={{ width: '45%', justifyContent: 'center' ,padding: '20px', border: '1px solid #ccc', borderRadius: '8px' }}>
          <h2>Modifier la carte cadeau</h2>
          <form >
            <FormControl defaultValue="" >


              <TextField
                id="outlined-nom-code"
                label="Nom du design "
                type="search"
                InputLabelProps={{ shrink: true }}
                variant="outlined"
                style={{ marginRight: '80px', marginBottom: '40px' }}
              />
              <TextField
                id="outlined-description"
                label="Titre de la carte-cadeau"
                multiline
                InputLabelProps={{ shrink: true }}
                variant="outlined"
                value={title}
                onChange={handleTitleChange}
                defaultValue={'joyeux anniversaire'}
                style={{ marginRight: '10px', marginBottom: '40px' }}
              />

              <TextField
                id="outlined-message"
                label="Message de l'expéditeur"
                multiline
                InputLabelProps={{ shrink: true }}
                variant="outlined"
                value={message}
                onChange={handleMessageChange}
                style={{ marginBottom: '40px' }}
              />
              <Label style={{ marginBottom: '20px' }}>Couleur du titre carte cadeau</Label>

              <TextField
                id="outlined-valeur-code"
                type="color"
                variant="outlined"
                InputLabelProps={{ shrink: true }}
                value={titleColor}
                onChange={handleTitleColorChange}
                style={{ marginBottom: '40px' }}
              />
              <Label style={{ marginBottom: '20px' }}>Couleur de la carte cadeau</Label>
              <TextField
                id="outlined-valeur-code"

                type="color"
                InputLabelProps={{ shrink: true }}
                variant="outlined"
                value={cardColor}
                onChange={handleColorChange}
                style={{ marginBottom: '40px' }}
              />
              
              <Label style={{ marginBottom: '20px' }}>Importer une image</Label>
              <AddMediaButton  variant="outlined" color="success" size="small" sx={{ mt: 1 , marginBottom: '40px' }}  />
              





              <Button variant="contained" color="primary" sx={{ minWidth: '150px', borderWidth: '0.5px', whiteSpace: 'nowrap', textTransform: 'none' }}>
                Enregistrer
              </Button>
            </FormControl>
          </form>
        </div>

        <div style={{ width: '45%', padding: '20px', border: '1px solid #ccc', borderRadius: '8px', backgroundColor: '#f9f9f9' }}>
          <h2 style={{ marginTop: '0', textAlign: 'center', color: titleColor }}>{title}</h2>
          
          {image && (
            <div style={{ marginBottom: '20px' }}>
              <img src={URL.createObjectURL(image)} alt="Carte cadeau" style={{ maxWidth: '100%' }} />
            </div>
          )}
          <Typography variant="subtitle2" gutterBottom>
            <p style={{ margin: '0', marginBottom: '20px' }}>Destinataire: {'Nom du destinataire'}</p>
            <p style={{ margin: '0', marginBottom: '20px' }}>de :  {'Message'}</p>
            <p style={{ margin: '0', marginBottom: '20px' }}>Montant: 50 €</p>
            <p style={{ margin: '0', marginBottom: '20px' }}> {message} </p>
           
          </Typography>

          <div style={{ backgroundColor: cardColor, color: 'white', padding: '10px', borderRadius: '4px', marginBottom: '20px' }}>
            <Typography variant="body2" gutterBottom>
              Vous venez de recevoir une carte cadeau Mydress-In 🥰
            </Typography>
            <Typography variant="body2" gutterBottom>
              Pour utiliser votre carte, venez nous retrouver en live sur notre page Facebook pour vivre une expérience shopping innovante et fun, ou consultez notre site web www.mydressin.fr
            </Typography>
            <Typography variant="body2" gutterBottom>
              Nous sommes en live :
              Les vendredis de 18h à 22h
              Les samedis de 12h à 22h
              Les mardis et mercredis de 18h à 22h
            </Typography>
            <Typography variant="body2" gutterBottom>
              Vous n'êtes pas encore cliente Mydress-In ? Afin de pouvoir commander, n'hésitez pas à créer votre compte client ici : https://mydress-in.shop/connexion/
            </Typography>
            <Typography variant="body2" gutterBottom>
              Une fois votre compte créé nous pourrons mettre vos articles commandés en live dans vos paniers !
              A très vite sur nos live ! Et bon shopping !!
              L'équipe Mydress-In
            </Typography>
          </div>
          <Typography variant="subtitle2" gutterBottom>
            <p style={{ marginTop: '50px', marginBottom: '70px' }}>Valide jusqu'au 31 décembre 2024</p>
          </Typography>
          <Button variant="contained" size="small" onClick={handlePrint} style={{ marginLeft: 'auto', marginRight: 'auto', display: 'block', marginTop: '0px' }}>Imprimer la Carte Cadeau</Button>
        </div>
      </div>
    </>
  );
};

export default GiftCardForm;
