import { useResponsive } from "@/hooks/use-responsive";
import { Box, Card, Grid } from "@mui/material";
import CommentsInput from "./details-comments-input";
import CommentsList from "./details-comments-list";
import { ILiveComment } from "@/shared/types/live";
import { useState } from "react";

type Props = {
    liveId: string,
}

export default function CommentSection({ liveId }: Props) {
    const mdUp = useResponsive('up', 'md');
    const [parentComment, setParentComment] = useState<ILiveComment | null>(null);

    return (
        <>
            {mdUp ? (
                <Grid item lg={4} md={4} sm={12}>
                    <Card sx={{ height: 600 }}>
                        <CommentsList changeParentComment={setParentComment} />
                        <CommentsInput liveId={liveId} parentComment={parentComment} changeParentComment={setParentComment} />
                    </Card>
                </Grid>
            ) : (
                <>
                    <Box sx={{ height: 500, zIndex: 2, overflow: 'hidden', position: 'absolute', width: '30%', left: 2, minWidth: 200, bottom: 0, paddingBottom: 200 }}>
                        <CommentsList changeParentComment={setParentComment} />

                    </Box>
                    <CommentsInput parentComment={parentComment} liveId={liveId} changeParentComment={setParentComment} />
                </>
            )

            }
        </>

    )
}