import Iconify from "@/components/iconify";
import { startLive } from "@/shared/api/live";
import { LiveStatus } from "@/shared/types/live";
import { Card, Grid } from "@mui/material";
import ReactPlayer from 'react-player'

type Props = {
    keyStream: string | undefined;
    hlsServerAddress: string | undefined;
    status: LiveStatus | undefined;
    liveId: string;
}

export default function VideoPlayerSection({ keyStream, hlsServerAddress, status, liveId }: Props) {

    return (
        <Grid item lg={4} md={8} xs={12}>
            <Card sx={{ position: "relative", height: 600, zIndex: 0, p: 0, bgcolor: 'black', display: 'flex', alignItems: 'center', justifyContent: 'center' }}>
                {status == LiveStatus.ONGOING && <ReactPlayer playing={true}
                    controls={true}
                    
                    width="100%"
                    height="100%" url={`${hlsServerAddress}/${keyStream}.m3u8`} />
                }
                {status == LiveStatus.COMING && <Iconify color='white' sx={{ position: "absolute", margin: "auto", width: 100, height: 100, cursor: 'pointer' }} onClick={() => startLive(liveId)} icon="solar:play-bold" />}
            </Card>

        </Grid>
    )
}