'use client';

import { useSettingsContext } from '@/shared/components/settings';
import { Grid, Container, Card } from '@mui/material';
import CommentSection from './details-comments-section';
import ProductsSection from './details-products-section';
import VideoPlayerSection from './details-player-section';
import HeadSection from './details-head-section';
import { useGetLive } from '@/shared/api/live';
import { useLiveData } from '@/contexts/live-stats';

type Props = {
    liveId: string;
}

export default function LiveDetailsView() {
    const liveData = useLiveData();

    return (

        <Container disableGutters={true} maxWidth={false}>
            <HeadSection keyStream={liveData.keysWork?.keyStream} startedAt={liveData.startedAt} status={liveData.status} liveId={liveData.id} />
            <Grid padding={0} sx={{ position: 'relative' }} container spacing={2}>
                <ProductsSection liveId={liveData.id} />
                <VideoPlayerSection liveId={liveData.id} status={liveData.status} hlsServerAddress={liveData?.keysWork?.hlsServerAddress} keyStream={liveData?.keysWork?.keyStream} />
                <CommentSection liveId={liveData.id} />
            </Grid>
        </Container>

    );
}