'use client'

import Button from '@mui/material/Button';
import { useBoolean } from '@/hooks/use-boolean';
import NewMultiMediaModal from './Multi-image-popup-components/New-multi-media-modal';
import NewSingleMediaModal from './Single-image-popup-components/New-single-media-modal';
import { CSSProperties } from 'react';
import { ButtonProps } from '@mui/material/Button';
import { extend } from 'lodash';


// ----------------------------------------------------------------------
interface Props extends ButtonProps{
    multiple?: boolean;
    buttonStyle?: CSSProperties;
    nameBtn?: string;
}


export default function AddMediaButton({multiple, buttonStyle, nameBtn="Ajouter une image", ...buttonProps}: Props) {

  const OpenAddMedia = useBoolean();

    return (
        <>
            <Button {...buttonProps} style={{ ...buttonStyle }} onClick={OpenAddMedia.onTrue}>{nameBtn}</Button>
            {multiple ? (
                <NewMultiMediaModal open={OpenAddMedia.value} onClose={OpenAddMedia.onFalse} />
            ) : (
                <NewSingleMediaModal open={OpenAddMedia.value} onClose={OpenAddMedia.onFalse} />
            )}
        </>
    );
}