"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/shared/components/settings";

import CustomBreadcrumbs from "@/shared/components/custom-breadcrumbs";
import ProductCategoryForm from "./category-edit-form";

// ----------------------------------------------------------------------

type Props = {
  id: string;
};

export default function CategoryEditView({ id }: Props) {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Modifier"
        links={[
          { name: "Dashboard", href: paths.dashboard.root },
          {
            name: "Catégorie",
            href: paths.dashboard.product.category,
          },
          { name: "Modifier catégorie" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <ProductCategoryForm />
    </Container>
  );
}
