"use client";

import TextField from "@mui/material/TextField";
import Button from "@mui/material/Button";
import Stack from "@mui/material/Stack";
import Typography from "@mui/material/Typography";
import Card from "@mui/material/Card";
import Checkbox from "@mui/material/Checkbox";
import FormControlLabel from "@mui/material/FormControlLabel";
import Autocomplete from "@mui/material/Autocomplete";

export default function ProductAttributForm() {
  const trie = ["Tri personnalisé", "Nom", "Nom (numérique)", "ID Terme"];
  const TYPE = ["Color", "Image", "Choix", "Label"];
  return (
    <Card variant="outlined">
      <Stack spacing={1.5} sx={{ p: 3 }}>
        <Typography variant="subtitle2">Attribut</Typography>

        <TextField name="nom" label="Nom" InputLabelProps={{ shrink: true }} />

        <TextField
          label="identifiant"
          name="Identifiant"
          InputLabelProps={{ shrink: true }}
        />
        <FormControlLabel
          control={<Checkbox />}
          label="Activer les archives ?"
        />
        <Autocomplete
          id="trie"
          autoHighlight
          options={trie.map((type) => type)}
          renderInput={(params) => (
            <TextField
              {...params}
              label="Tri par défaut"
              InputLabelProps={{ shrink: true }}
            />
          )}
        />
        <Autocomplete
          id="type"
          autoHighlight
          options={TYPE.map((type) => type)}
          renderInput={(params) => (
            <TextField
              {...params}
              label="Type"
              InputLabelProps={{ shrink: true }}
            />
          )}
        />

        <Button type="submit" variant="contained" color="primary">
          Enregister
        </Button>
      </Stack>
    </Card>
  );
}
