import Box from "@mui/material/Box";
import Link from "@mui/material/Link";
import Stack from "@mui/material/Stack";
import { GridCellParams } from "@mui/x-data-grid";
import ListItemText from "@mui/material/ListItemText";
import { fDate } from "@/utils/format-time";
import { Button } from "@mui/material";
import IconButton from "@mui/material/IconButton";
import VisibilityIcon from "@mui/icons-material/Visibility";

// ----------------------------------------------------------------------

type ParamsProps = {
  params: GridCellParams;
};

export function RenderCellID({ params }: ParamsProps) {
  return <>{params.row.id}</>;
}

export function RenderCellCode({ params }: ParamsProps) {
  return <>{params.row.code}</>;
}

export function RenderCellTypecode({ params }: ParamsProps) {
  return <>{params.row.typecode}</>;


}

export function RenderCellValuecode({ params }: ParamsProps) {
  return <>{params.row.valuecode}</>;
}

export function RenderCellDescription({ params }: ParamsProps) {
  return <>{params.row.Description}</>;
}

export function RenderCellIDproduct({ params }: ParamsProps) {
  return <>{params.row.IDproduct}</>;
}

export function RenderCellExpirationDate({ params }: ParamsProps) {
  return <> <ListItemText
    primary={fDate(params.row.expirationDate)}
    primaryTypographyProps={{ typography: "body2", noWrap: true }}

  /></>;
}

export function RenderCellCategory({ params }: ParamsProps) {
  return <>{params.row.Category}</>;
}


export function RenderCellUsageLimit({ params }: ParamsProps) {
  return <>{params.row.Usage} {" / "} {params.row.Limit}</>;
}

export function RenderCellCommande({ params }: ParamsProps) {
  return (
    <Stack direction="row">

      <IconButton >
        <VisibilityIcon />
        <Link href={""}></Link>
      </IconButton>
    </Stack>
  );



}

export function RenderCellActions({ params }: ParamsProps) {
  return (
    <Stack direction="row">
      <Button variant="outlined" color="primary" style={{ marginRight: '5px' }}>Modifier</Button>
      <Button variant="outlined" color="error">Supprimer</Button>
      <Button variant="outlined" color="primary" style={{ marginLeft: '5px' }}>Dupliquer</Button>
    </Stack>
  );
}


