'use client';// Import necessary dependencies if any
// Import necessary dependencies if any

import React, { useState, ChangeEvent } from 'react';
import Toolbar from '@mui/material/Toolbar';
import List from '@mui/material/List';
import ListItem from '@mui/material/ListItem';
import ListItemButton from '@mui/material/ListItemButton';
import ListItemText from '@mui/material/ListItemText';
import FormControl from '@mui/material/FormControl';
import TextField from '@mui/material/TextField';
import Button from '@mui/material/Button';
import { Checkbox } from '@mui/material';
import MenuItem from '@mui/material/MenuItem';
import CustomBreadcrumbs from '@/components/custom-breadcrumbs/custom-breadcrumbs';
import { paths } from '@/routes/paths';
import { PromocodeType } from '@/contexts/types/promo';




export default function Addpromo() {
  const [selectedSection, setSelectedSection] = useState<string>('General');
  const [isFreeShipping, setIsFreeShipping] = useState(false);
  const [isExclusive, setIsExclusive] = useState(false);

  const handleSectionClick = (section: string) => {
    setSelectedSection(section);
  };

  const handleCheckboxChange = (event: ChangeEvent<HTMLInputElement>) => {
    setIsFreeShipping(event.target.checked);
  };

  const handleExclusiveCheckboxChange = (event: ChangeEvent<HTMLInputElement>) => {
    setIsExclusive(event.target.checked);
  };


  const generalContent = (


    <div className="main-content" style={{ marginLeft: '50px' }}>
      <p style={{ marginBottom: '30px' }}><b>General</b></p>
      <form>
        <FormControl defaultValue="" required>
          <TextField
            id="outlined-nom-code"
            label="nom du code promo"
            type="search"
            placeholder='entrer le nom du code promo'
            variant="outlined"
            style={{ marginRight: '80px', marginBottom: '40px' }}
            required
          />
          <TextField
            id="outlined-description"
            label="Description"
            multiline
            rows={4}
            variant="outlined"
            placeholder="Saisissez votre description ici..."
            style={{ marginRight: '10px', marginBottom: '40px' }}

          />
          <TextField
            id="outlined-type-code"
            select
            label="Type de promo"
            variant="outlined"
            style={{ marginRight: '80px', marginBottom: '40px' }}
            required
          >
            {Object.values(PromocodeType).map((option) => (
              <MenuItem key={option} value={option}>
                {option}
              </MenuItem>
            ))}
          </TextField>
          <TextField
            id="outlined-valeur-code"
            label="valeur code promo"
            type="search"
            placeholder='0'
            variant="outlined"
            style={{ marginRight: '80px', marginBottom: '40px' }}
            required
          />
          <div style={{ marginRight: '10px', marginBottom: '40px' }}>
            <Checkbox defaultChecked={isFreeShipping}
              size="small"
              onChange={handleCheckboxChange} />
            <span>Cocher cette case si le code promo inclut l’expédition gratuite.</span>
          </div>
          <TextField
            id="outlined-search-code"
            label="date de debut du code promo"
            type="date"
            fullWidth
            InputLabelProps={{
              shrink: true,
            }}
            placeholder='jj/mm/aaaa'
            variant="outlined"
            style={{ marginRight: '80px', marginBottom: '40px' }}
            required
          />

          <TextField
            id="outlined-search-code"
            label="date de fin du code promo"
            type="date"
            fullWidth
            InputLabelProps={{
              shrink: true,
            }}
            placeholder='jj/mm/aaaa'
            variant="outlined"
            style={{ marginRight: '80px', marginBottom: '40px' }}
            required
          />
        </FormControl>
      </form>
    </div>

  );


  const usageRestrictionContent = (
    <div>
      <FormControl defaultValue="" >
        <div className="main-content">

          <p style={{ marginBottom: '30px' }}><b>Restriction d'usage</b></p>
          <form>
            <div style={{ marginBottom: '40px' }}>
              <TextField
                id="outlined-usage-restriction"
                label="Dépense minimale"
                variant="outlined"
                placeholder="Aucun montant minimum"
                style={{ marginRight: '10px', width: '300px' }}
              />
            </div>
            <div style={{ marginBottom: '40px' }}>
              <div style={{ marginBottom: '40px', display: 'flex', alignItems: 'center' }}>
                <Checkbox checked={isExclusive}
                  size="small"
                  onChange={handleExclusiveCheckboxChange} />
                <span style={{ marginLeft: '10px', maxWidth: '360px', display: 'inline-block' }}>Cochez cette case si le code promo ne peut être utilisé conjointement avec d’autres codes promo.</span>
              </div>
            </div>
            <div style={{ marginBottom: '40px' }}>
              <TextField
                id="outlined-produit-restriction"
                label="Réduction par produit"
                variant="outlined"
                placeholder="ID produit"
                style={{ marginRight: '10px', width: '300px' }}
              />
            </div>
            <div style={{ marginBottom: '40px' }}>
              <TextField
                id="outlined-prod-restriction"
                label="Exclure un produit"
                variant="outlined"
                placeholder="ID produit"
                style={{ marginRight: '10px', width: '300px' }}
              />
            </div>
            <div style={{ marginBottom: '40px' }}>
              <TextField
                id="outlined-category-restriction"
                label="Réduction par catégorie"
                variant="outlined"
                placeholder="catégorie"
                style={{ marginRight: '10px', width: '300px' }}
              />
            </div>
            <div style={{ marginBottom: '40px' }}>
              <TextField
                id="outlined-categ-restriction"
                label="Exclure une catégorie"
                variant="outlined"
                placeholder="catégorie"
                style={{ marginRight: '10px', width: '300px' }}
              />
            </div>
            {/* Other input fields for the "Usage restriction" section */}
          </form>
        </div>
      </FormControl>
    </div>
  );
  const LimitUtilisationContent = (
    <div>

      <FormControl defaultValue="" >
        <div className="main-content">
          <p style={{ marginBottom: '30px' }}><b>limite d'utilisation</b></p>

          <div style={{ marginBottom: '40px' }}>
            <TextField
              id="outlined-limit-code"
              label="Limite d’utilisation par code promo"
              variant="outlined"

              style={{ marginRight: '10px', width: '300px' }}
              required
            />
          </div>


          <div style={{ marginBottom: '40px' }}>
            <TextField
              id="outlined-limit-code"
              label="Limite d’utilisation par utilisateur"
              variant="outlined"

              style={{ marginRight: '10px', width: '300px' }}
              required
            />
          </div>

          {/* Other input fields for the "Usage restriction" section */}

        </div>
      </FormControl>
    </div>
  );

  return (
    <div style={{ display: 'flex' }}>

      {/* Sidebar with section list */}
      <div style={{ width: '200px', marginRight: '80px' }}>
        <Toolbar />
        <p style={{ marginBottom: '0' }}><b>Ajouter un promo code</b></p>
        <List style={{ marginTop: '0' }}>
          {['General', 'restriction d\'usage', 'Limite d\'utilisation'].map((text, index) => (
            <ListItem key={text} disablePadding onClick={() => handleSectionClick(text)}>
              <ListItemButton selected={selectedSection === text}>
                <ListItemText primary={text} />
              </ListItemButton>
            </ListItem>
          ))}
        </List>
      </div>
      {/* Main content */}
      <div className="main-content" style={{ marginLeft: '50px' }}>
        <CustomBreadcrumbs

          links={[
            {
              name: 'dashboard',
              href: paths.dashboard.root,
            },

            {
              name: 'liste des codes promo',
              href: paths.promo.all_promo,
            },

            {
              name: 'Ajouter un codes promo',
            },
          ]}
          sx={{
            mb: { xs: 3, md: 5 },
          }}
        />
        <Button variant="contained" color="primary" style={{ marginLeft: '300px', marginBottom: '40px' }}>Enregistrer les modifications</Button>
        {/* Render content based on selected section */}
        {selectedSection === 'General' && generalContent}
        {selectedSection === 'restriction d\'usage' && usageRestrictionContent}
        {selectedSection === 'Limite d\'utilisation' && LimitUtilisationContent}
      </div>
    </div>
  );


}
