'use client';
import React, { useState } from 'react';
import { TextField, Checkbox, Card, CardMedia, CardContent, Typography, Button } from '@mui/material';
import { PurchaseOrderDesign } from '@/shared/sections/purchase/purshase';



interface EmailPurchaseFormProps {
  selectedDesign: PurchaseOrderDesign | null; // Ajoutez la prop selectedDesign
  defaultDesign: PurchaseOrderDesign | null; // Ajoutez la prop defaultDesign
}

const EmailPurchaseForm: React.FC<EmailPurchaseFormProps> = ({ selectedDesign, defaultDesign }) => {
  const [legend, setLegend] = useState(selectedDesign ? selectedDesign.name : defaultDesign ? defaultDesign.name : 'Happy birthday'); // Utilisez le nom du modèle sélectionné ou le nom par défaut
  const [description, setDescription] = useState('');
  const [amount, setAmount] = useState('');
  const [email, setEmail] = useState('');

  const handleSubmit = (e: React.FormEvent<HTMLFormElement>) => {
    e.preventDefault();

  };

  return (
    <div className="center-content" style={{ position: 'absolute', top: '100%', left: '50%', transform: 'translate(-50%, -50%)' }}>
      <p style={{ marginBottom: '30px' }}><b> Envoyer un bon d'achat</b></p>
      <Typography variant="body2" color="textSecondary" component="p" style={{ marginBottom: '30px' }}>
        Utilisez cette option pour envoyer manuellement par courrier électronique des crédits de magasin de valeur préférée aux clients de votre choix. Ces crédits peuvent être utilisés par les clients pour effectuer plusieurs achats dans votre magasin.
      </Typography>
      <form onSubmit={handleSubmit}>
        <div className="main-content" style={{ display: 'flex', flexDirection: 'column', alignItems: 'flex-start', marginLeft: '50px' }}>
          <TextField
            id="outlined-email"
            label="Adresse email"
            type="email"
            placeholder="entrer l'adresse email"
            required
            value={email}
            onChange={(e) => setEmail(e.target.value)}
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ marginBottom: '40px', width: '300px' }}
          />
          <TextField
            id="outlined-nom-destinataire"
            label="Montant"
            required
            type='search'
            value={amount}
            onChange={(e) => setAmount(e.target.value)}
            variant="outlined"
            InputLabelProps={{ shrink: true }}
            placeholder="Saisissez le montant"
            style={{ marginBottom: '40px', width: '300px' }}
          />
          <TextField
            id="outlined-valeur-code"
            label="Légende"
            type="search"
            value={legend}
            onChange={(e) => setLegend(e.target.value)}
            InputLabelProps={{ shrink: true }}
            required
            variant="outlined"
            style={{ marginBottom: '40px', width: '300px' }}
          />
          <TextField
            id="outlined-description"
            label="Description"
            multiline
            required
            rows={4}
            value={description}
            onChange={(e) => setDescription(e.target.value)}
            variant="outlined"
            InputLabelProps={{ shrink: true }}
            placeholder="Saisissez votre message ici..."
            style={{ marginBottom: '40px', width: '300px' }}
          />
          <div style={{ marginBottom: '40px' }}>
            <Checkbox defaultChecked size="small" required />
            <span>Cochez cette case si le bon de crédit du magasin ne peut pas être utilisé avec d'autres coupons.</span>
          </div>
        </div>

      </form>
      <Card variant="outlined" style={{ width: 320, marginBottom: '40px' }}>
        <CardMedia
          component="img"
          height="140"
          image='https://img.freepik.com/free-photo/happy-birthday-card-with-flowers-assortment_23-2149077343.jpg'
        />
        <CardContent>
          <Typography gutterBottom variant="h5" component="div">
            {legend}
          </Typography>
          <Typography variant="body2" color="textSecondary" component="p">
            Légende: {legend}
          </Typography>
          <Typography variant="body2" color="textSecondary" component="p">
            Montant: {amount} €
          </Typography>
          <Typography variant="body2" color="textSecondary" component="p">
            Description: {description}
          </Typography>
        </CardContent>
      </Card>

      <Button type="submit" variant="contained" color="primary" style={{ alignSelf: 'flex-end', marginBottom: '40px', marginLeft: '520px' }}>Envoyer l'email</Button>
    </div>
  );
};

export default EmailPurchaseForm;
