
import { GridCellParams } from "@mui/x-data-grid";
import Label from "@/shared/components/label";
import { Referralstatus } from "@/contexts/types/Referral";
import {  fDate } from "@/utils/format-time";






type ParamsProps = {
  params: GridCellParams;
};




export function RenderCellStatus({ params }: ParamsProps) {
  return (
    <Label
      variant="soft"
      color={(params.row.Status === Referralstatus.Validated && "success") || (params.row.Status === Referralstatus.Pending && "secondary") || (params.row.Status === Referralstatus.InProgress && "primary") || 'default'}
    >
      {params.row.Status}
    </Label>
  );
}

export function RenderCellCommande({ params }: ParamsProps) {
  return <>{params.row.Numcommande} by {params.row.parraine}</>;
}

export function RenderCellDatecommande({ params }: ParamsProps) {
  return <>{fDate(params.row.Datecommande)}</>;
}

export function RenderCellprix({ params }: ParamsProps) {
  return <>{params.row.prix} €</>;
}





