import React, { useState } from "react";
import {
  Card,
  Grid,
  Stack,
  TextField,
  IconButton,
  InputAdornment,
  Checkbox,
  FormControlLabel,
  FormGroup,
} from "@mui/material";
import Autocomplete from "@mui/material/Autocomplete";
import AddIcon from "@mui/icons-material/Add";
import DeleteIcon from "@mui/icons-material/Delete";
import LoadingButton from "@mui/lab/LoadingButton";

interface Entry {
  product: string;
  quantity: string;
}

export default function ColumnView() {
  const [expedition, setExpedition] = useState<string>("");
  const [expeditionPrice, setExpeditionPrice] = useState<string>("");
  const [frais, setFrais] = useState<string>("");
  const [coupon, setCoupon] = useState<string>("");

  const handleSubmit = (event: React.FormEvent<HTMLFormElement>) => {
    event.preventDefault();
    console.log("Formulaire soumis !");
  };

  return (
    <form onSubmit={handleSubmit}>
        <Stack spacing={3} sx={{ p: 1}}>
          <Grid container spacing={2} alignItems="center">
            <Grid item xs={10} md={10}>
              <FormGroup>
                <FormControlLabel
                  disabled
                  control={<Checkbox  />}
                  label="Commande"
                />
                <FormControlLabel
                  control={<Checkbox defaultChecked />}
                  label="Client"
                />
                <FormControlLabel
                  control={<Checkbox />}
                  label="Date"
                />
                <FormControlLabel
                  control={<Checkbox />}
                  label="Article"
                />
                <FormControlLabel
                  control={<Checkbox />}
                  label="Prix"
                />
              </FormGroup>
            </Grid>
            </Grid>
        </Stack>
        <LoadingButton type="submit" variant="contained" fullWidth>
        Personnaliser
      </LoadingButton>

    </form>
  );
}
