"use client"

import { ShippingMethod, ShippingMethodType } from '@/contexts/types/Shipping'
import { shippingMethodsList } from '@/shared/_mock/_shipping';
import EditMondialRelay from './EditShippingMethodMondialRelay';
import EditColissimoWithoutSignature from './EditColissimoWithoutSignature';
import EditColissimoWithSignature from './EditColissimoWithSignature';
import EditFreeShipping from './EditFreeShipping';
import EditFlatRate from './EditFlatRate';
import EditPointOfSale from './EditPointOfSale';


type Props = {
    id: String;
}

export default function EditShippingMethodView({ id }: Props) {

    const shippingMethod: ShippingMethod | undefined = shippingMethodsList.find(method => method.id === id);


    const renderComponent = () => {
        switch (true) {
            case shippingMethod?.type == ShippingMethodType.FreeShipping:
                return <><EditFreeShipping id={id} /></>;
            case shippingMethod?.type == ShippingMethodType.FlatRate:
                return <><EditFlatRate id={id} /></>;
            case shippingMethod?.type == ShippingMethodType.ColissimoWithoutSignature:
                return <><EditColissimoWithoutSignature id={id} /></>;
            case shippingMethod?.type == ShippingMethodType.ColissimoWithSignature:
                return <><EditColissimoWithSignature id={id} /></>;
            case shippingMethod?.type == ShippingMethodType.MondialRelay:
                return <><EditMondialRelay id={id} /></>;
            case shippingMethod?.type == ShippingMethodType.PointOfSale:
                return <><EditPointOfSale id={id} /></>;
            default:
                return null;
        }
    };


    return (
        <>
            {renderComponent()}
        </>
    );
}
