"use client";

import Container from "@mui/material/Container";
import { _userList } from "@/shared/_mock";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/components/settings";
import CustomBreadcrumbs from "@/components/custom-breadcrumbs";

import SupplierNewEditForm from "./supplier-new-edit-form";

// ----------------------------------------------------------------------
type Props = {
  id: string;
};
export default function SupplierCreateView({ id }: Props) {
  const settings = useSettingsContext();

  const currentUser = _userList.find((user) => user.id === id);

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        links={[
          {
            name: "Dashboard",
            href: paths.dashboard.root,
          },
          {
            name: "Fournisseur",
            href: paths.dashboard.supplier.root,
          },
          { name: currentUser?.name },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <SupplierNewEditForm currentUser={currentUser} />
    </Container>
  );
}
