"use client";

import Container from "@mui/material/Container";

import { paths } from "@/routes/paths";

import { useSettingsContext } from "@/components/settings";
import CustomBreadcrumbs from "@/components/custom-breadcrumbs";

import OrdereNewEditForm from "./ordernew-edit-form";

// ----------------------------------------------------------------------

export default function OrderCreateView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="Créer une Commande"
        links={[
          {
            name: "Dashboard",
            href: paths.dashboard.root,
          },
          {
            name: "Commande",
            href: paths.dashboard.supplier.SupplierOrder.root,
          },
          {
            name: "Nouvelle Commande",
          },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />

      <OrdereNewEditForm />
    </Container>
  );
}
