import React from 'react';
import { Button, Dialog, DialogActions, DialogContent, DialogTitle, TextField } from '@mui/material';

type Props = {
  open: boolean;
  handleClose: () => void;
};

const AddPermissionDialog: React.FC<Props> = ({ open, handleClose }) => {
  return (
    <Dialog
      open={open}
      onClose={handleClose}
      PaperProps={{
        component: 'form',
        onSubmit: (event: React.FormEvent<HTMLFormElement>) => {
          event.preventDefault();
          handleClose();
        },
      }}
    >
      <DialogTitle>Ajouter une permission </DialogTitle>
      <DialogContent>
      <TextField autoFocus margin="dense" id="roleName" label="Nom de la permission (ID)" type="text" fullWidth />
      </DialogContent>
      <DialogActions>
        <Button onClick={handleClose}>Ajouter la permission</Button>
        <Button onClick={handleClose}>Annuler</Button>
      </DialogActions>
    </Dialog>
  );
};

export default AddPermissionDialog;
