import React from 'react';
import { Button, Dialog, DialogActions, DialogContent, DialogTitle, TextField } from '@mui/material';


type Props = {
  open: boolean;
  handleClose: () => void;
};

const RenameRoleDialog: React.FC<Props> = ({ open, handleClose }) => {
  return (
    <Dialog
      open={open}
      onClose={handleClose}
      PaperProps={{
        component: 'form',
        onSubmit: (event: React.FormEvent<HTMLFormElement>) => {
          event.preventDefault();
          handleClose();
        },
      }}
    >
      <DialogTitle>Rename role</DialogTitle>
      <DialogContent>
        <TextField disabled autoFocus margin="dense" id="roleName" label="Nom du rôle (ID)" type="text" fullWidth defaultValue="Administrateur"/>
        <TextField autoFocus margin="dense" label="Afficher le nom du rôle" type="text" fullWidth defaultValue="Administrateur" />
      </DialogContent>
      <DialogActions>
        <Button onClick={handleClose}>Rename</Button>
        <Button onClick={handleClose}>Annuler</Button>
      </DialogActions>
    </Dialog>
  );
};

export default RenameRoleDialog;
