"use client";
import Container from "@mui/material/Container";
import { paths } from "@/routes/paths";
import { useSettingsContext } from "@/components/settings";
import CustomBreadcrumbs from "@/components/custom-breadcrumbs";
import UserRoleEditor from "./user-role-editor";
import { _roles } from "@/shared/_mock";
import { Button } from "@mui/material";
import EditOutlinedIcon from '@mui/icons-material/EditOutlined';

// ----------------------------------------------------------------------

export default function UserRoleEditorView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : "lg"}>
      <CustomBreadcrumbs
        heading="User Role Editor"
        links={[
          {
            name: "Dashboard",
            href: paths.dashboard.root,
          },
          {
            name: "User",
            href: paths.dashboard.user.all_users,
          },
          { name: "Role editor" },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />
    <div style={{ display: 'flex', justifyContent: 'flex-end' }}>
        <Button
          variant="contained"
          startIcon={<EditOutlinedIcon />}
          sx={{
            mb: { xs: 3, md: 5 },
          }}
        >
           Update Role
        </Button>
      </div>

      <UserRoleEditor roleOptions={_roles} />
    </Container>
  );
}
