// ----------------------------------------------------------------------

export type IOrderTableFilterValue = string | Date | null;

export type IOrderTableFilters = {
  name: string;
  status: string;
  startDate: Date | null;
  endDate: Date | null;
};
export enum IOrderStatus {
  Ongoing = "En cours",
  Completed = "Terminée",
  Cancelled = "Annulée",
  Deleted = "Supprimée",
  Pending = "En attente",
  Refunded = "Remboursée",
}
// ----------------------------------------------------------------------

export type IOrderHistory = {
  orderTime: Date;
  paymentTime: Date;
  deliveryTime: Date;
  completionTime: Date;
  timeline: {
    title: string;
    time: Date;
  }[];
};

export type IOrderShippingAddress = {
  fullAddress: string;
  villeShip: string;
  codePostal: number;
  modeExpedition: string;
  trackingNumber: string;
};

export type IOrderPayment = {
  cardType: string;
  cardNumber: string;
};

export type IOrderDelivery = {
  shipAdress: string;
  ville: string;
  codePostal: number;
};
export type IOrderStatistic = {
  startDate: any;
  timestod: Date;
  timespre: Date;
};

export type IOrderCustomer = {
  id: string;
  name: string;
  email: string;
  avatarUrl: string;
  numberphone: string;
};

export type IOrderProductItem = {
  id: string;
  sku: string;
  name: string;
  price: number;
  coverUrl: string;
  quantity: number;
  origine: string;
};

export type IOrderItem = {
  id: string;
  taxes: number;
  status: string;
  origine: string;
  shipping: number;
  discount: number;
  subTotal: number;
  orderNumber: string;
  totalAmount: number;
  totalQuantity: number;
  history: IOrderHistory;
  customer: IOrderCustomer;
  delivery: IOrderDelivery;
  items: IOrderProductItem[];
  createdAt: Date;
};
