// ----------------------------------------------------------------------

export type IReviewTableFilterValue = string | Date | null;

export type IReviewTableFilters = {
  name: string;
  status: string;
  startDate: Date | null;
  endDate: Date | null;
};
export enum IReviewStatus {
Ongoing  = "Approuvé",
Cancelled = "Désapprouver",
Deleted = "Mis à la corbeille",
Pending = "En attente",
}
// ----------------------------------------------------------------------

export type IReviewHistory = {
  orderTime: Date;
  paymentTime: Date;
  deliveryTime: Date;
  completionTime: Date;
  timeline: {
    title: string;
    time: Date;
  }[];
};

export type IReviewShippingAddress = {
  fullAddress: string;
  villeShip: string;
  codePostal: number;
  modeExpedition: string;
  trackingNumber: string;
};

export type IReviewPayment = {
  cardType: string;
  cardNumber: string;
};

export type IReviewDelivery = {
  shipAdress: string;
  ville: string;
  codePostal: number;
};
export type IReviewStatistic = {
  startDate: any;
  timestod: Date;
  timespre: Date;
};

export type IReviewCustomer = {
  id: string;
  name: string;
  email: string;
  avatarUrl: string;
  numberphone: string;
};

export type IReviewProductItem = {
  id: string;
  sku?: string;
  name: string;
  price?: number;
  coverUrl?: string;
  quantity?: number;
  origine?: string;
};

export type IReviewItem = {
  id: string;
  status: string;
  commentaire: string;
  orderNumber: string;
  customer: IReviewCustomer;
  items: IReviewProductItem;
  createdAt: Date;
};
