// ----------------------------------------------------------------------

import { ShippingMethodType } from "@/contexts/types/Shipping";

export enum IOrderColissimoStatus {
  Trach= "Trach",
  Canceled= "Annulé",
  Completed= "Terminée",
  Failed= "Échouée",
  Pending= "En attente",
  PartiallyPaid= "Partially-paid",
  WaitingForPayment = "Attente paiement",
  InProgress = "En cours"
};


export type IOrderColissimoItem = {
  id: string;
  createdAt: Date;
  customer: string;
  adress: string;
  country: string;
  shippingMethod: ShippingMethodType;
  status: IOrderColissimoStatus;
  etiquette: string;
  startDate: Date;
  endDate: Date;
};

export type IOrderColissimoTableFilterValue = string | string[] | Date | null;

export type IOrderColissimoTableFilters = {
  country: string[];
  shippingMethod: string[];
  status: string[];
  etiquette: string[];
  startDate: Date | null;
  endDate: Date | null;
};

