import { IChatConversation, IChatConversations, IChatParticipant } from "@/shared/types/chat";


export function getParticipantDisplayInfo(participant: IChatParticipant) {
        return participant
}

export function updateConversationParticipants(conversation: IChatConversation): IChatConversation {
    // Creer une copie de la conversation pour eviter les mutations directes
    const updatedConversation = { ...conversation };


    updatedConversation.participants = updatedConversation.participants? updatedConversation.participants.map((participant) => {
        return getParticipantDisplayInfo(participant);
    }) : [];

    return updatedConversation;
}

export function updateConversationsWithParticipants(conversations: IChatConversations): IChatConversations {
    const updatedById: Record<string, IChatConversation> = {};

    conversations.allIds.forEach((conversationId) => {
        const conversation = conversations.byId[conversationId];
        // Vérifier le type de la conversation
        if (conversation.type === 'GROUP') {
            // Mettre à jour les participants de la conversation
            const updatedConversation = updateConversationParticipants(conversation);
            updatedById[conversationId] = updatedConversation;
        } else {
            // Ingore les participants pour les conversations de type 'ONE_TO_ONE'
            updatedById[conversationId] = conversation;
        }
    });

    return {
        byId: updatedById,
        allIds: conversations.allIds,
    };
}
